#!/usr/bin/env python
import os, sys 
sys.path.append(os.path.join(os.environ["SUMO_HOME"], "tools"))
from sumolib.output import parse_fast

NUM_PHASES = 4

cumulative_phase_durations = [0] * NUM_PHASES
previous_time = 0
for switch in parse_fast(sys.argv[1], 'tlsstate', ['time', 'phase']):
    time = float(switch.time)
    actual_phase = int(switch.phase) - 1
    if actual_phase < 0:
        actual_phase = NUM_PHASES - 1
    cumulative_phase_durations[actual_phase] += time - previous_time
    previous_time = time

print 'absolute', cumulative_phase_durations
total_duration = sum(cumulative_phase_durations)
print 'relative', [round(d / total_duration, 2) for d in  cumulative_phase_durations]




